# Android Ethiopia SDK Access Guide #

###### Note: Currently, the SDK supports only the local AAR dependency mode. ######

1.  Create a new libs folder in the project app (or other submodules), and copy the EthiopiaPaySdkModule-uat-release.aar file to the folder:

(step1.png)	

2.  Add the following dependency to the build.gradle file:

```
dependencies {
    implementation files('libs/EthiopiaPaySdkModule-uat-release.aar')
}
```

3.  The third-party app places an order in the third-party background (the third-party background connects to the Ethiopia background), obtains the order information, and invokes the SDK to start payment.

```
final PayInfo payInfo = new PayInfo.Builder()
	.setAppId(orderInfo.appId)
	.setShortCode(orderInfo.shortCode)
	.setReceiveCode(orderInfo.receiveCode)
	.build();
PaymentManager.getInstance().pay(this, payInfo);
```

4.  Parameter description:
5.  Listen to the payment callback.

```
PaymentManager.getInstance().setPayCallback(new PayCallback() {

	@Override
	public void onPayCallback(int code, String errMsg) {
		Log.d(TAG, "onPayCallback: code " + code + " errMsg " + errMsg);
		Toast.makeText(App.this, code + errMsg, Toast.LENGTH_SHORT).show();
	}
});
```

6.  Error Code Description

| Error Code | Description                                      |
| ---------- | ------------------------------------------------ |
| 0          | Payment success                                  |
| - 1        | Unknown error.                                   |
| - 2        | Parameter error.                                 |
| - 3        | Cancellation of payment                          |
| - 10       | The Payment is not installed.                    |
| - 11       | Payment is not supported in the current version. |

7.  Add Obfuscation Rule

```
-keep class com.huawei.ethiopia.pay.sdk.api.core.** { *; }
```

