package com.huawei.ethiopia.sdk;

import android.app.Activity;
import android.app.Application;
import android.os.Bundle;
import android.os.Handler;
import android.os.Looper;
import android.util.Log;
import android.widget.Toast;

import androidx.annotation.NonNull;
import androidx.annotation.Nullable;

import com.huawei.ethiopia.pay.sdk.api.core.listener.PayCallback;
import com.huawei.ethiopia.pay.sdk.api.core.utils.PaymentManager;

/**
 * @author s30027976
 * @since 2022/7/1
 */
public class App extends Application {
    private static final String TAG = "App";

    @Override
    public void onCreate() {
        super.onCreate();
        PaymentManager.getInstance().setPayCallback(new PayCallback() {

            @Override
            public void onPayCallback(int code, String errMsg) {
                Log.d(TAG, "onPayCallback: code " + code + " errMsg " + errMsg);
                Toast.makeText(App.this, code + errMsg, Toast.LENGTH_SHORT).show();
            }
        });
    }
}
