package com.huawei.ethiopia.sdk.data;

import android.text.TextUtils;

import com.google.gson.Gson;

import java.io.Serializable;

/**
 * @author s30027976
 * @since 2022/7/6
 */
public class Order implements Serializable {
    public String code;
    public String msg;
    public Data data;

    public String getReceiveCode() {
        if (data != null) {
            final String toPayMsg = data.toPayMsg;
            if (!TextUtils.isEmpty(toPayMsg)) {
                final Data.ToPayMsg payMsg = new Gson().fromJson(toPayMsg, Data.ToPayMsg.class);
                return payMsg.extras.receiveCode;
            }
        }
        return null;
    }

    public boolean success() {
        return "200".equals(code);
    }

    public static class Data implements Serializable{
        public String toPayMsg;

        public static class ToPayMsg implements Serializable{
            public Extras extras;

            public static class Extras implements Serializable{
                public String receiveCode;
            }
        }
    }
}
